## org.apache.poi.hssf.record.formula
Class MemFuncPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.ControlPtg
              org.apache.poi.hssf.record.formula.MemFuncPtg

public class MemFuncPtg
extends ControlPtg

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static byte` `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`MemFuncPtg()`
`MemFuncPtg(byte[] data, int offset)` Creates new function pointer from a byte array usually called while reading an excel file.

Method Summary
`java.lang.Object` `clone()`
`byte` `getDefaultOperandClass()`
`int` `getLenRefSubexpression()`
`int` `getNumberOfOperands()`
`int` `getSize()`
`void` `setLenRefSubexpression(int len)`
`java.lang.String` `toFormulaString(Workbook book)` return a string representation of this token alone
`void` `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### MemFuncPtg

    public MemFuncPtg()

### MemFuncPtg

    public MemFuncPtg(byte[] data,
                      int offset)

  Creates new function pointer from a byte array usually called while reading an excel file.

Method Detail

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### getNumberOfOperands

    public int getNumberOfOperands()

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

### getLenRefSubexpression

    public int getLenRefSubexpression()

### setLenRefSubexpression

    public void setLenRefSubexpression(int len)

Copyright © 2003 Apache Software Foundation.